%define debug_package %{nil}
%define product_family SHMZ
%define release_name Final
%define base_release_version 6
%define full_release_version 6.6

Name:           schmooze-release
Version:        6
Release:        6%{?dist}
Summary:        %{product_family} release file
Group:          System Environment/Base
License:        GPLv2
Obsoletes:      rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat fedora-release redhat-release oraclelinux-release sl-release centos-release
Provides:	redhat-release
Provides:	system-release
Provides:	centos-release
Source0:        schmooze-release-6.tar.bz2

%description
%{product_family} release files

%prep
%setup -q

%build
echo OK

%install
rm -rf $RPM_BUILD_ROOT

# create /etc
mkdir -p $RPM_BUILD_ROOT/etc

# create /etc/system-release and /etc/redhat/release
echo "%{product_family} release %{full_release_version}%{?beta: %{beta}} (%{release_name})" > $RPM_BUILD_ROOT/etc/schmooze-release
ln -s schmooze-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s schmooze-release $RPM_BUILD_ROOT/etc/system-release
ln -s schmooze-release $RPM_BUILD_ROOT/etc/centos-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:schmooze:linux:%{version}:%{?beta:%{beta}}%{!?beta:GA}" > $RPM_BUILD_ROOT/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

# copy yum repos to /etc/yum.repos.d
#mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
#for file in *.repo; do
    #install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
#done

# copy GPG keys
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
    install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel %{base_release_version}
%%shmz %{base_release_version}
%%shmz_ver %{base_release_version}
%%dist .shmz%{base_release_version}
%%shmz%{base_release_version} 1
EOF

mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}
ln -s /usr/share/doc/schmooze-release-6 ${RPM_BUILD_ROOT}%{_defaultdocdir}/redhat-release

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc EULA GPL
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/centos-release
%attr(0644,root,root) /etc/schmooze-release
/etc/system-release
%config %attr(0644,root,root) /etc/system-release-cpe
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
#%config %attr(0644,root,root) /etc/yum.repos.d/*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/rpm/macros.dist
%_defaultdocdir/redhat-release

%changelog
* Thu Jan 29 2015 Bryan Walters <bwalters@sangoma.com> - 6.6.shmz66
- Release for 6.6

* Mon Jan 20 2014 Derek Carter <derek@goozbach.com> - 6.4.shmz64
- First release. originally copied from centos-release-6-4.el6.centos.10.src.rpm.
